## kmymoney 5.2.1+p24.04+vunstable+git20260209.0937

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>

# For all the configurable CMake switches, please see https://invent.kde.org/office/kmymoney/-/wikis/home#cmake-switches

# The CMake version we require
cmake_minimum_required(VERSION 3.16)

option(BUILD_STATIC_PLUGINS "Build the plugins statically" OFF)

set(KF6_MIN_VERSION 6.1)
set(KF5_MIN_VERSION 5.90)
set(QT6_MIN_VERSION 6.7)
set(QT5_MIN_VERSION 5.15.2)
set(KDE5_MIN_LEVEL 5.82)
set(KDE6_MIN_LEVEL ${KF6_MIN_VERSION})

# adds option BUILD_WITH_QT6
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
include(QtVersionOption)
set(KF_MIN_VERSION ${KF${QT_MAJOR_VERSION}_MIN_VERSION})
set(QT_MIN_VERSION ${QT${QT_MAJOR_VERSION}_MIN_VERSION})
set(KDE_COMPILERSETTINGS_LEVEL ${KDE${QT_MAJOR_VERSION}_MIN_LEVEL})

if (NOT BUILD_STATIC_PLUGINS)
    set(AKONADI_MIN_VERSION 5.14.2)
    if(BUILD_WITH_QT6)
        set(AKONADI_MIN_VERSION 6.0.0)
    endif()
endif()


set(RELEASE_SERVICE_VERSION_MAJOR "5")
set(RELEASE_SERVICE_VERSION_MINOR "2")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# Use ccache if available
find_program(CCACHE_PROGRAM ccache)
if(CCACHE_PROGRAM)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}")
endif()

# Setting the name of the main project
project(KMyMoney VERSION "${RELEASE_SERVICE_VERSION}" LANGUAGES CXX)

# Minimum versions required for extern packages
set(KMM_ALKIMIA_MIN_VERSION 8.1.90)
set(KMM_KCHART_MIN_VERSION 2.6.0)
# LibOFX uses two different version numbers. find_package looks for the
# library's so version whereas pkg_check_modules retrieves the package
# version. Details can be found in the libofx source code
set(KMM_LIBOFX_MIN_VERSION 0.10.0)
set(KMM_LIBOFX_MIN_SOVERSION 7.0.0)
set(KMM_AQBANKING_MIN_VERSION 6.8.4)
set(KMM_GWENHYWFAR_MIN_VERSION 5.14.1)

# Determine the GIT reference (if we're based on GIT)
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
  execute_process(COMMAND git rev-parse --short HEAD
          WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
          OUTPUT_VARIABLE VERSION_SUFFIX
          OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process(COMMAND git tag --contains ${VERSION_SUFFIX}
          WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
          OUTPUT_VARIABLE TAG
          OUTPUT_STRIP_TRAILING_WHITESPACE)
  # for commits that don't have a tag add the commit hash
  # don't add the hash if the commit is tagged
  if("" STREQUAL "${TAG}")
    set(VERSION_SUFFIX "-${VERSION_SUFFIX}")
  else()
    set(VERSION_SUFFIX "")
  endif()
  # Add variables which are similar to the build in names of cmake
  set(PROJECT_VERSION_SUFFIX "${VERSION_SUFFIX}")
  set(${PROJECT_NAME}_VERSION_SUFFIX "${VERSION_SUFFIX}")
elseif(DEFINED VERSION_SUFFIX)
  string(REGEX REPLACE "-*(.+)" "\\1" DASHFREE_SUFFIX "${VERSION_SUFFIX}")
  set(PROJECT_VERSION_SUFFIX "-${DASHFREE_SUFFIX}")
  set(${PROJECT_NAME}_VERSION_SUFFIX "-${DASHFREE_SUFFIX}")
endif()

if (POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW) # Policy introduced in CMake version 3.3
endif()
if (POLICY CMP0127)
  cmake_policy(SET CMP0127 NEW) # Policy introduced in CMake version 3.22
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

######################### General Requirements ##########################

if (CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0)
    message(FATAL_ERROR "This version of KMyMoney requires at least gcc 6.0.0 to be built successfully")
endif()

# To build shared libraries in Windows, we set CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS to TRUE.
# See https://cmake.org/cmake/help/v3.4/variable/CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS.html
# See https://blog.kitware.com/create-dlls-on-windows-without-declspec-using-new-cmake-export-all-feature/
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

set(APPLE_SUPPRESS_X11_WARNING TRUE)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)

include(FeatureSummary)
include(CMakeDependentOption)

include(GenerateExportHeader)
include(KMyMoneyMacros)
set(KMM_ADD_TESTS_ENVIRONMENT "LANG=C.UTF-8")

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if(BUILD_WITH_QT6)
    message(WARNING
      "This is the first release with Qt6/KF6 support."
      " If you find an error, please open a bug report at"
      " https://bugs.kde.org/enter_bug.cgi?product=kmymoney."
    )
    # allow QString("...")
    add_definitions(
        -UQT_NO_CAST_FROM_ASCII
        -UQT_NO_CAST_FROM_BYTEARRAY
        -UQT_NO_CAST_TO_ASCII
        -UQT_NO_CAST_TO_BYTEARRAY
    )
endif()

add_definitions(
    -DKF_DEPRECATED_WARNINGS_SINCE=0x60000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x56200C
    -DQT_DEPRECATED_WARNINGS_SINCE=0x60000
    -DQT_DISABLE_DEPRECATED_BEFORE=0x50f02
)

message(STATUS "cmake version: ${CMAKE_VERSION}")

# GPG Encryption checks
# ---------------------
set(GPG_FOUND FALSE)
if(BUILD_WITH_QT6)
    find_package(QGpgmeQt6)
    if(QGpgmeQt6_FOUND)
        set(GPG_FOUND TRUE)
        set(GPG_DIR ${QGpgmeQt6_DIR})
        set(GPG_LIBRARY QGpgmeQt6)
        set(GPG_VERSION ${QGpgmeQt6_VERSION})
    endif()
else()
    find_package(QGpgme)
    if (QGpgme_FOUND)
        set(GPG_FOUND TRUE)
        set(GPG_DIR ${QGpgme_DIR})
        set(GPG_LIBRARY QGpgme)
        set(GPG_VERSION ${QGpgme_VERSION})
    else()
        find_package(Gpgmepp)
        if (Gpgmepp_FOUND)
            set(GPG_FOUND TRUE)
            set(GPG_DIR ${Gpgmepp_DIR})
            set(GPG_LIBRARY Gpgmepp)
            set(GPG_VERSION ${Gpgmepp_VERSION})
        endif()
    endif()
endif()
if(GPG_FOUND)
    message(STATUS "Found GPG: ${GPG_DIR} (version \"${GPG_VERSION}\")")
    find_path(GPGMEPP_HEADER_DIR "gpgme++/error.h" ${CMAKE_SYSTEM_INCLUDE_PATH})
    file(READ "${GPGMEPP_HEADER_DIR}/gpgme++/error.h" GPGMEPP_ERROR_H_CONTENT)
    string(FIND "${GPGMEPP_ERROR_H_CONTENT}" "std::string asStdString() const" FOUND_AS_STD_STRING)
    set(HAVE_GPGMEPP_AS_STD_STRING FALSE)
    if (${FOUND_AS_STD_STRING} GREATER 0)
        set(HAVE_GPGMEPP_AS_STD_STRING TRUE)
        message(STATUS "Found GpgME::Error::asStdString")
    endif()
endif()

cmake_dependent_option(ENABLE_GPG "Enable GPG support." ON
                       "GPG_FOUND" OFF)

add_feature_info("Encryption" ENABLE_GPG "Allows to store your financial data using strong GPG encryption.")





find_package(PkgConfig)
if (PkgConfig_FOUND)
  pkg_check_modules(SQLCIPHER sqlcipher IMPORTED_TARGET)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml PrintSupport)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Sql Concurrent QuickWidgets)

if (Qt6Sql_VERSION VERSION_GREATER_EQUAL "6.10.0")
  find_package(Qt6 REQUIRED COMPONENTS SqlPrivate)
endif()

if(BUILD_TESTING)
  find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive CoreAddons Config ConfigWidgets Crash I18n Completion KCMUtils ItemModels ItemViews Service XmlGui TextWidgets Notifications KIO)

# For KF < 5.100 we need to fix a few method names that
# have been deprecated but are not available before that version.
# Once the KF_MIN_VERSION of this project is >= 5.100 this
# whole block can be removed
if (${KF_MIN_VERSION} VERSION_LESS "5.100")
    if (${KF5_VERSION} VERSION_LESS "5.100")
        add_definitions(
            -DquestionTwoActions=questionYesNo
            -DquestionTwoActionsCancel=questionYesNoCancel
            -DwarningTwoActions=warningYesNo
            -DwarningTwoActionsCancel=warningYesNoCancel
            -DPrimaryAction=Yes
            -DSecondaryAction=No
        )
    endif()
elseif(NOT BUILD_WITH_QT6)
    message(FATAL_ERROR "Remove the above logic from CMakeLists.txt since it is not needed anymore")
endif()

if(BUILD_WITH_QT6)
    find_package(PlasmaActivities)
else()
    set(KF_ACTIVITIES Activities)
endif()
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS DocTools Holidays Contacts ${KF_ACTIVITIES})
if (DEFINED AKONADI_MIN_VERSION)
  # Akonadi 23.04 moved to KPim5 prefix, deprecating KF5
  set(PIMPREFIX KPim${QT_MAJOR_VERSION})
  find_package(${PIMPREFIX}Akonadi ${AKONADI_MIN_VERSION} QUIET)
  if(NOT ${PIMPREFIX}Akonadi_FOUND)
    set(PIMPREFIX KF${QT_MAJOR_VERSION})
    find_package(${PIMPREFIX}Akonadi ${AKONADI_MIN_VERSION} QUIET)
  endif()
  if(${PIMPREFIX}Akonadi_FOUND)
    # for config-kmymoney.h.cmake
    set(ADDRESSBOOK_VERSION ${${PIMPREFIX}Akonadi_VERSION})
  endif()
  if(AKONADI_MIN_VERSION VERSION_GREATER_EQUAL "6.0.0")
    find_package(${PIMPREFIX}IdentityManagementCore ${AKONADI_MIN_VERSION} QUIET)
  else()
    find_package(${PIMPREFIX}IdentityManagement ${AKONADI_MIN_VERSION} QUIET)
  endif()
endif()

find_package(Qt${QT_MAJOR_VERSION}Keychain CONFIG REQUIRED)

if(LibAlkimia${QT_MAJOR_VERSION}_DIR)
  set(_LibAlkimia${QT_MAJOR_VERSION}_DIR ${LibAlkimia${QT_MAJOR_VERSION}_DIR})
endif()
find_package(LibAlkimia${QT_MAJOR_VERSION} ${KMM_ALKIMIA_MIN_VERSION} REQUIRED)
if (NOT LibAlkimia${QT_MAJOR_VERSION}_FOUND)
  # restore LibAlkimia5_DIR set to NOTFOUND by first find_package call
  if(_LibAlkimia${QT_MAJOR_VERSION}_DIR)
    set(LibAlkimia${QT_MAJOR_VERSION}_DIR ${_LibAlkimia${QT_MAJOR_VERSION}_DIR})
  endif()
  find_package(LibAlkimia${QT_MAJOR_VERSION} 8.1 REQUIRED)
endif()

if(BUILD_WITH_QT6)
    find_package(KChart6 ${KMM_KCHART_MIN_VERSION} QUIET)
else()
    find_package(KChart ${KMM_KCHART_MIN_VERSION} QUIET)
endif()

# we want the lowercase 'libofx' package name, for 'libofx_FOUND' compatibility with what pkg-config returns,
# in case it is to be used as fallback
find_package(libofx ${KMM_LIBOFX_MIN_SOVERSION} NAMES LibOFX libofx)
if(NOT libofx_FOUND)
    find_package(PkgConfig)

    if(PkgConfig_FOUND)
        pkg_check_modules(libofx IMPORTED_TARGET libofx)

        if(libofx_FOUND)
            if (${libofx_VERSION} VERSION_GREATER_EQUAL ${KMM_LIBOFX_MIN_VERSION})
                set(libofx_FOUND TRUE)
                add_library(libofx::libofx INTERFACE IMPORTED)
                target_link_libraries(libofx::libofx INTERFACE PkgConfig::libofx)
                message(STATUS "Version ${libofx_VERSION} of libofx found and is larger than the required version ${KMM_LIBOFX_MIN_VERSION}")
            else()
                message(STATUS "Version ${libofx_VERSION} of libofx does not meet min. required version ${KMM_LIBOFX_MIN_VERSION}")
                set(libofx_FOUND FALSE)
            endif()
        endif()
    endif()
endif()


add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# freeBSD error: passing no argument for the '...' parameter of a
# variadic macro is a C++20 extension [-Werror,-Wc++20-extensions]
if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wno-c++20-extensions)
endif()

# use DBus only on Linux
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(KMM_DBUS 1)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

# check for Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory("${APIDOC_DIR}")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen IMMEDIATE)

  add_custom_target(apidoc "${DOXYGEN}" "${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen")
endif(DOXYGEN_FOUND)
add_feature_info("Doxygen" DOXYGEN_FOUND "Generate API documentation with Doxygen (for devs only).")

# check some include files exists
set(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE)
include (CheckIncludeFileCXX)

=== kmymoney/CMakeLists.txt ===
include(ECMAddAppIcon)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/settings/
                    ${CMAKE_CURRENT_BINARY_DIR}/settings/
                    ${CMAKE_CURRENT_BINARY_DIR}/dialogs/
                    ${CMAKE_CURRENT_SOURCE_DIR}/widgets/
                    ${CMAKE_CURRENT_BINARY_DIR}/widgets/
                    ${CMAKE_CURRENT_SOURCE_DIR}/mymoney/
                    ${CMAKE_CURRENT_SOURCE_DIR}/mymoney/storage/
                    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/
                    ${CMAKE_CURRENT_BINARY_DIR}/interfaces/
                    ${CMAKE_CURRENT_SOURCE_DIR}/plugins/
                    ${CMAKE_CURRENT_BINARY_DIR}/plugins/
                    ${CMAKE_CURRENT_SOURCE_DIR}/views/
                    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/
                    ${CMAKE_CURRENT_SOURCE_DIR}/converter/
                    ${CMAKE_CURRENT_BINARY_DIR}/dialogs/settings/
                    ${CMAKE_CURRENT_BINARY_DIR}/mymoney/storage/
                    ${CMAKE_CURRENT_BINARY_DIR}/mymoney/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/endingbalancedlg/
                    ${CMAKE_CURRENT_BINARY_DIR}/wizards/endingbalancedlg/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/newinvestmentwizard/
                    ${CMAKE_CURRENT_BINARY_DIR}/wizards/newinvestmentwizard/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/newloanwizard/
                    ${CMAKE_CURRENT_BINARY_DIR}/wizards/newloanwizard/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/wizardpages/
                    ${CMAKE_CURRENT_SOURCE_DIR}/models/
                    ${CMAKE_CURRENT_BINARY_DIR}/models/
                    ${CMAKE_CURRENT_SOURCE_DIR}/icons/
                    ${CMAKE_CURRENT_BINARY_DIR}/icons/
                    ${CMAKE_CURRENT_SOURCE_DIR}/menus/
                    ${CMAKE_CURRENT_BINARY_DIR}/menus/
                    ${CMAKE_CURRENT_SOURCE_DIR}/misc/
                    ${CMAKE_CURRENT_BINARY_DIR}/misc/
                    )

add_subdirectory( mymoney )
add_subdirectory( settings )
add_subdirectory( models  )
add_subdirectory( interfaces )
add_subdirectory( plugins )
add_subdirectory( widgets )
add_subdirectory( dialogs )
add_subdirectory( views )
add_subdirectory( converter )
add_subdirectory( wizards )
add_subdirectory( templates )
add_subdirectory( misc )
add_subdirectory( icons )
add_subdirectory( menus )
if(BUILD_TESTING)
  add_subdirectory( tests )
endif()

set( _HEADERS kmymoneyutils.h )

########### common code (kmymoney_common) STATIC ###############
# will be linked into kmymoney, kmymoneytest, and libkmymoney.so

set( kmymoney_common_SRCS
    kcreditswindow.cpp
    kmymoneyutils.cpp
    pluginloader.cpp
)
add_library(kmymoney_common STATIC ${kmymoney_common_SRCS})

target_link_libraries(kmymoney_common
  PUBLIC
    Qt::Core
    KF${QT_MAJOR_VERSION}::ConfigGui
    KF${QT_MAJOR_VERSION}::WidgetsAddons
    KF${QT_MAJOR_VERSION}::KIOCore
    KF${QT_MAJOR_VERSION}::KIOFileWidgets
    KF${QT_MAJOR_VERSION}::KIOWidgets
    Alkimia::alkimia
    kmm_mymoney
    kmm_webconnect
    kmm_utils_platformtools
    kmm_url
    kmm_yesno
    kmm_menuactionexchanger
    $<$<BOOL:${ENABLE_ADDRESSBOOK}>:${PIMPREFIX}::AkonadiCore>
    PRIVATE
    KF${QT_MAJOR_VERSION}::I18n
    kmm_settings
)

# must build kmymoney/transactionsortoption.h
# from transactionsortoption.ui first
add_dependencies(kmymoney_common kmm_settings)
add_dependencies(wizardpages kmm_widgets)
# add_dependencies(kmm_dialogs kmm_widgets)

if(USE_MODELTEST)
  set( kmymoney_common_LIBS ${kmymoney_common_LIBS} ${QT_QTTEST_LIBRARY})
endif(USE_MODELTEST)

# remove these generated files, they are in the way and leftovers from 5.0
if(EXISTS ${CMAKE_CURRENT_BINARY_DIR}/kmymoneysettings.h)
  file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/kmymoneysettings.h)
endif()
if(EXISTS ${CMAKE_CURRENT_BINARY_DIR}/kmymoneysettings.cpp)
  file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/kmymoneysettings.cpp)
endif()

########### kmymoney executable ###############

set( kmymoney_SRCS
  main.cpp
  kmymoney.cpp
)

if(KMM_DBUS)
    qt_add_dbus_adaptor(kmymoney_SRCS org.kde.kmymoney.xml kmymoney.h KMyMoneyApp)
endif()
qt_add_resources(kmymoney_SRCS kmymoney.qrc)

# collect application icons
file(GLOB_RECURSE KMYMONEY_APP_ICONS "${CMAKE_CURRENT_SOURCE_DIR}/icons/kmymoney/apps/*.png")
# add icons to application sources, to have them bundled
ecm_add_app_icon(kmymoney_SRCS ICONS ${KMYMONEY_APP_ICONS})

add_executable( kmymoney ${kmymoney_SRCS} )
if (BUILD_STATIC_PLUGINS)
    kcoreaddons_target_static_plugins(kmymoney "kmymoney_plugins" LINK_OPTION PRIVATE)
    kcoreaddons_target_static_plugins(kmymoney "kmymoney_plugins/kcms" LINK_OPTION PRIVATE)
    if (ENABLE_SQLCIPHER)
        target_link_libraries(kmymoney PRIVATE qsqlcipher)
        target_compile_definitions(kmymoney PRIVATE -DIMPORT_SQLCIPHER_PLUGIN)
    endif()
endif()

if (ENABLE_SQLCIPHER)
  message( STATUS "     SQLCIPHER INCLUDE   :  " ${SQLCIPHER_INCLUDE_DIRS}) #just for testing it on MS Windows
  message( STATUS "     SQLCIPHER LIBRARIES :  " ${SQLCIPHER_LIBRARY_DIRS}) #just for testing it on MS Windows
  link_directories(${SQLCIPHER_LIBRARY_DIRS})

  target_compile_definitions(kmymoney
    PRIVATE
      SQLITE_HAS_CODEC
      SQLITE_TEMP_STORE=2)

  #otherwise "fatal error: 'sqlite3.h' file not found"
  if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD" OR CMAKE_SYSTEM_NAME MATCHES "Windows")
    target_include_directories(kmymoney
      PRIVATE
        ${SQLCIPHER_INCLUDE_DIRS})
  endif()
endif()

target_link_libraries(kmymoney
  PUBLIC
  views
  kmymoney_common
  newuserwizard
  newaccountwizard
  newinvestmentwizard
  newloanwizard
  endingbalancedlg
  wizardpages
  kmm_extended_dialogs
  kmm_base_dialogs
  settings
  kmm_models
  kmm_settings
  kmm_menus
  kmm_widgets
  kmm_mymoney
  interfaces
  kmm_plugin
  Qt::Core
  KF${QT_MAJOR_VERSION}::ConfigGui
  KF${QT_MAJOR_VERSION}::WidgetsAddons
  KF${QT_MAJOR_VERSION}::CoreAddons
  KF${QT_MAJOR_VERSION}::Crash
  kmm_templates
  $<$<BOOL:${USE_MODELTEST}>:Qt::Test>
  $<$<BOOL:${ENABLE_HOLIDAYS}>:KF${QT_MAJOR_VERSION}::Holidays>
  $<$<BOOL:${ENABLE_ACTIVITIES}>:KF${QT_MAJOR_VERSION}::Activities>
  PRIVATE
    kmm_selections
    $<$<BOOL:${ENABLE_SQLCIPHER}>:PkgConfig::SQLCIPHER>
)

# own plist magic for mac os
if(APPLE)
    string(TIMESTAMP CURRENT_YEAR "%Y")
    # own plist template
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)

    # the MacOSX bundle display name property (CFBundleDisplayName) is not currently supported by cmake,
    # so has to be set for all targets in this cmake file
    set(MACOSX_BUNDLE_DISPLAY_NAME KMyMoney)
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.KMyMoney")
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KMyMoney")
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_DISPLAY_NAME "KMyMoney")
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_INFO_STRING "KMyMoney - Personal Finances Manager")
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
    set_target_properties(kmymoney PROPERTIES MACOSX_BUNDLE_COPYRIGHT "© 2000-${CURRENT_YEAR} The KMyMoney Authors")
endif()

########### install files ###############

install(TARGETS kmymoney ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kmymoney
  )
install(FILES org.kde.kmymoney.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
  )
install(FILES org.kde.kmymoney.appdata.xml
  DESTINATION ${KDE_INSTALL_METAINFODIR}
  )

install(FILES x-kmymoney.xml
  DESTINATION ${KDE_INSTALL_MIMEDIR})

#UPDATE_XDG_MIMETYPES(${XDG_MIME_INSTALL_DIR})

=== kmymoney/mymoney/CMakeLists.txt ===
add_subdirectory( xmlhelper )
add_subdirectory( storage )
add_subdirectory( payeeidentifier )

########### next target ###############

set(kmm_mymoney_LIB_SRCS
  mymoneymoney.cpp mymoneyfinancialcalculator.cpp
  mymoneytransactionfilter.cpp
  mymoneyfile.cpp mymoneykeyvaluecontainer.cpp
  mymoneyobject.cpp
  mymoneypayeeidentifiercontainer.cpp
  mymoneysplit.cpp mymoneyinstitution.cpp
  mymoneyinvesttransaction.cpp mymoneyutils.cpp
  mymoneysecurity.cpp mymoneytransaction.cpp mymoneyschedule.cpp
  mymoneypayee.cpp mymoneytracer.cpp
  mymoneytag.cpp
  mymoneycategory.cpp
  mymoneycostcenter.cpp
  mymoneyaccount.cpp mymoneyaccountloan.cpp
  mymoneyreport.cpp mymoneystatement.cpp mymoneyprice.cpp mymoneybudget.cpp
  mymoneyforecast.cpp
  mymoneyqifprofile.cpp
  mymoneytemplate.cpp
  mymoneybalancecache.cpp
  mymoneyfactory.cpp
  onlinejob.cpp
  onlinejobadministration.cpp
  onlinejobmessage.cpp
  onlinejobfolder.cpp
  onlinepricemodel.cpp
  mymoneycontact.cpp
  payeeidentifiermodel.cpp
  statusmodel.cpp
  splitmodel.cpp
  )

  # storage_a_SOURCES cannot be set in storage directory on MS Windows
  # because, while building kmm_storage, linker reports many undefined symbols
  # which are in fact available in kmm_mymoney
  set(storage_a_SOURCES
    ./storage/mymoneymodelbase.cpp
    ./storage/payeesmodel.cpp
    ./storage/costcentermodel.cpp
    ./storage/schedulesmodel.cpp
    ./storage/tagsmodel.cpp
    ./storage/securitiesmodel.cpp
    ./storage/budgetsmodel.cpp
    ./storage/accountsmodel.cpp
    ./storage/institutionsmodel.cpp
    ./storage/journalmodel.cpp
    ./storage/pricemodel.cpp
    ./storage/parametersmodel.cpp
    ./storage/onlinejobsmodel.cpp
    ./storage/reportsmodel.cpp
    ./storage/reconciliationmodel.cpp
    ./storage/specialdatesmodel.cpp
    ./storage/schedulesjournalmodel.cpp
    ./storage/templatesmodel.cpp
    )

  set(onlineTask_a_SOURCES
  ./onlinetasks/sepa/sepaonlinetransferimpl.cpp
  ./onlinetasks/sepa/sepaonlinetransfer.cpp
  ./onlinetasks/unavailabletask/tasks/unavailabletask.cpp
  )

  set(xmlhelper_a_SOURCES
  ./xmlhelper/xmlstoragehelper.cpp
  )

  # NOTE: this payeeIdentifier and its cmake file cannot be used as a template
  # This payeeIdentifier must be linked with payeeIdentifierLoader because it
  # is a fallback if something failed during loading of plugins (for xml files only)
  set(payeeidentifier_a_SOURCES
  ./payeeidentifier/ibanbic/ibanbic.cpp
  ./payeeidentifier/nationalaccount/nationalaccount.cpp
  ./payeeidentifier/unavailableplugin/unavailableplugin.cpp
  )

list(APPEND storage_a_SOURCES $<$<OR:$<CONFIG:Debug>,$<CONFIG:DebugFull>,$<CONFIG:DebugKMM>>: ./storage/mymoneystoragedump.cpp>)
list(APPEND kmm_mymoney_LIB_SRCS ${storage_a_SOURCES})
list(APPEND kmm_mymoney_LIB_SRCS ${onlineTask_a_SOURCES})
list(APPEND kmm_mymoney_LIB_SRCS ${payeeidentifier_a_SOURCES})
list(APPEND kmm_mymoney_LIB_SRCS ${xmlhelper_a_SOURCES})

set(mymoney_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/kmm_mymoney_export.h
  mymoneyobject.h mymoneyaccount.h mymoneycategory.h mymoneyexception.h
  mymoneyfile.h mymoneyfinancialcalculator.h mymoneyinstitution.h
  mymoneyinvesttransaction.h mymoneykeyvaluecontainer.h mymoneymoney.h
  mymoneypayee.h mymoneytag.h mymoneyprice.h mymoneyreport.h
  mymoneyschedule.h mymoneysecurity.h mymoneysplit.h mymoneystatement.h
  mymoneytransactionfilter.h mymoneytransaction.h
  mymoneyutils.h mymoneybudget.h mymoneyforecast.h
  imymoneyprocessingcalendar.h
  mymoneycostcenter.h
  mymoneyenums.h
  mymoneyqifprofile.h
  mymoneytemplate.h
  mymoneyunittestable.h
  mymoneypayeeidentifiercontainer.h
  onlinejob.h
  onlinejobtyped.h
  onlinejobmessage.h
  onlinejobfolder.h
  )

add_library(kmm_mymoney ${kmm_mymoney_LIB_SRCS})

if (USE_MODELTEST)
  target_compile_definitions(kmm_mymoney PRIVATE -DKMM_MODELTEST)
endif()

generate_export_header(kmm_mymoney BASE_NAME kmm_mymoney)

target_link_libraries(kmm_mymoney
                      PUBLIC
                      kmm_icons
                      Qt::Xml
                      Qt::Core
                      Qt::Gui
                      KF${QT_MAJOR_VERSION}::Service
                      KF${QT_MAJOR_VERSION}::I18n
                      KF${QT_MAJOR_VERSION}::ItemModels
                      KF${QT_MAJOR_VERSION}::ConfigCore
                      $<$<BOOL:${BUILD_WITH_QT6}>:KF${QT_MAJOR_VERSION}::CoreAddons>
                      Alkimia::alkimia
                      kmm_payeeidentifier
                      kmm_plugin
                      # TODO: fix this
                      KF${QT_MAJOR_VERSION}::XmlGui
                      PRIVATE
                      kmm_keychain
                      onlinetask_interfaces
                      $<$<BOOL:${USE_MODELTEST}>:Qt::Test>
)

if(ENABLE_ADDRESSBOOK)
  target_link_libraries(kmm_mymoney
    PUBLIC
    $<$<BOOL:${${PIMPREFIX}IdentityManagement_FOUND}>:${PIMPREFIX}::IdentityManagement>
    $<$<BOOL:${${PIMPREFIX}IdentityManagementCore_FOUND}>:${PIMPREFIX}::IdentityManagementCore>
    ${PIMPREFIX}::AkonadiCore
    KF${QT_MAJOR_VERSION}::Contacts
  )
endif()

set_target_properties(kmm_mymoney PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

# create gdb pretty printer in build directory
add_custom_command(TARGET kmm_mymoney POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/kmm_mymoney-gdb.py" "$<TARGET_FILE_DIR:kmm_mymoney>/$<TARGET_FILE_NAME:kmm_mymoney>-gdb.py"
)

########### install files ###############

install(TARGETS kmm_mymoney
  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES ${mymoney_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kmymoney COMPONENT Devel)

############## tests ####################

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== kmymoney/tests/CMakeLists.txt ===
file(GLOB tests_sources "test-*.cpp")
kmm_add_tests(${tests_sources}
  NAME_PREFIX
    "kmymoney-"
  LINK_LIBRARIES
    Qt::Core
    Qt::Test
    kmm_testutils
    kmymoney_common
)

add_library(kmm_testutilities STATIC
  testutilities.cpp
)
target_link_libraries(kmm_testutilities
  PUBLIC
    Qt::Core
  PRIVATE
    mymoneystoragexml
    xmlstoragehelper
)

=== kmymoney/converter/tests/CMakeLists.txt ===
file(GLOB tests_sources "test-*.cpp")
kmm_add_tests(${tests_sources}
  LINK_LIBRARIES
    Qt::Core
    Qt::Test
    kmm_testutils
    kmm_testutilities
    converter
)

=== kmymoney/mymoney/storage/CMakeLists.txt ===
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

set(storage_HEADERS
  mymoneymodelbase.h
  mymoneymodel.h
  payeesmodel.h
  costcentermodel.h
  schedulesmodel.h
  tagsmodel.h
  securitiesmodel.h
  budgetsmodel.h
  accountsmodel.h
  institutionsmodel.h
  journalmodel.h
  pricemodel.h
  parametersmodel.h
  onlinejobsmodel.h
  reportsmodel.h
  reconciliationmodel.h
  )

########### install files ###############

install(FILES ${storage_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kmymoney COMPONENT Devel )

=== kmymoney/mymoney/tests/CMakeLists.txt ===
add_library(kmm_testutils STATIC mymoneytestutils.cpp)
target_link_libraries(kmm_testutils
  PUBLIC
    Qt::Core
    kmm_mymoney
)

file(GLOB tests_sources "test-*.cpp")
kmm_add_tests(${tests_sources}
  LINK_LIBRARIES
    Qt::Core
    Qt::Test
    Qt::Xml
    Qt::Gui
    kmm_mymoney
    kmm_testutils
    kmm_testutilities
    onlinetask_interfaces
)

=== kmymoney/widgets/tests/CMakeLists.txt ===
file(GLOB tests_sources "test-*.cpp")
kmm_add_tests(${tests_sources}
  LINK_LIBRARIES
    Qt::Gui
    Qt::Core
    Qt::Test
    kmm_base_widgets
    kmm_testutils
)

=== kmymoney/mymoney/payeeidentifier/tests/CMakeLists.txt ===
file(GLOB tests_sources "test-*.cpp")
kmm_add_tests(${tests_sources}
  NAME_PREFIX
   payeeidentifier
  LINK_LIBRARIES
    Qt::Test
    kmm_payeeidentifier
    kmm_mymoney
    kmm_testutils
)

=== kmymoney/mymoney/storage/tests/CMakeLists.txt ===
file(GLOB tests_sources "test-*.cpp")

# @todo for now don't use storagemgr-test which will be replaced
message("test-mymoneystoragemgr.cpp disabled in ${CMAKE_CURRENT_SOURCE_DIR}")
list(REMOVE_ITEM tests_sources ${CMAKE_CURRENT_SOURCE_DIR}/test-mymoneystoragemgr.cpp)

kmm_add_tests(${tests_sources}
  LINK_LIBRARIES
    Qt::Core
    Qt::Test
    Qt::Xml
    Qt::Gui
    kmm_mymoney
    kmm_testutils
    kmm_utils_platformtools
    onlinetask_interfaces
)

=== kmymoney/plugins/ibanbicdata/tests/CMakeLists.txt ===
file(GLOB tests_sources "test-*.cpp")
kmm_add_tests(${tests_sources}
  NAME_PREFIX
    "ibanandbic-"
  LINK_LIBRARIES
    Qt::Test
    kmm_testutils
    kmm_mymoney
)

=== kmymoney/plugins/kbanking/dialogs/CMakeLists.txt ===

########### next target ###############

set(kbanking_dialogs_la_SOURCES
  kbaccountsettings.cpp
  kbpickstartdate.cpp
  kbmapaccount.cpp
)

set(kbanking_dialogs_UI
  kbaccountsettings.ui
  kbpickstartdate.ui
  kbmapaccount.ui
)

ki18n_wrap_ui(kbanking_dialogs_la_SOURCES ${kbanking_dialogs_UI})

add_library(kbanking_dialogs STATIC ${kbanking_dialogs_la_SOURCES})
target_link_libraries(kbanking_dialogs
  Qt::Widgets
  kmm_base_widgets
  kbanking_widgets
  aqbanking::aqbanking
)

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20260209.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 09:37:23 +0000

## kmymoney 5.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "5")
 set(RELEASE_SERVICE_VERSION_MINOR "2")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Use ccache if available
@@ -44,7 +44,7 @@
 project(KMyMoney VERSION "${RELEASE_SERVICE_VERSION}" LANGUAGES CXX)
 
 # Minimum versions required for extern packages
-set(KMM_ALKIMIA_MIN_VERSION 8.1.90)
+set(KMM_ALKIMIA_MIN_VERSION 8.2.1)
 set(KMM_KCHART_MIN_VERSION 2.6.0)
 # LibOFX uses two different version numbers. find_package looks for the
 # library's so version whereas pkg_check_modules retrieves the package
@@ -195,15 +195,11 @@
   pkg_check_modules(SQLCIPHER sqlcipher IMPORTED_TARGET)
 endif()
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml Test PrintSupport)
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Sql Concurrent QuickWidgets)
 
 if (Qt6Sql_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6 REQUIRED COMPONENTS SqlPrivate)
-endif()
-
-if(BUILD_TESTING)
-  find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED)
 endif()
 
 find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive CoreAddons Config ConfigWidgets Crash I18n Completion KCMUtils ItemModels ItemViews Service XmlGui TextWidgets Notifications KIO)
@@ -330,3 +326,5 @@
 # check some include files exists
 set(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE)
 include (CheckIncludeFileCXX)
+check_include_file_cxx("unistd.h" HAVE_UNISTD_H)
+check_include_file_cxx("pwd.h" HAVE_PWD_H)

=== kmymoney/plugins/views/reports/core/tests/data/CMakeLists.txt ===
set(infotable_test_files
  test-general-information.xml
)

set(querytable_test_files
  test-382245.xml
  test-423870.xml
  test-424674.xml
  test-448788.xml
  test-453033.xml
  test-469195.xml
  test-511104.xml
  test-cash-flow.xml
  test-investment.xml
  test-net-worth.xml
  test-transactions.xml
  refinance-loan.xml
)

set(pivottable_test_files
  test-income-and-expenses.xml
  test-net-worth.xml
  test-pivottable.xml
  test-closed-account.xml
)

macro(fetch_report_names file)
  set(options)
  set(oneValueArgs)
  set(multiValueArgs RETURN_NAMES RETURN_TYPES RETURN_IDS)
  cmake_parse_arguments(FRN "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  set(${FRN_RETURN_NAMES})
  set(${FRN_RETURN_TYPES})
  set(${FRN_RETURN_IDS})
  file(STRINGS
    ${file} lines
    REGEX ".*<REPORT .*"
    ENCODING UTF-8
  )
  foreach(line ${lines})
    string(REGEX REPLACE "<REPORT (.*)[/]?>" "\\1" l ${line})
    #message( "++++ ${l}")
    string(REGEX REPLACE " ([a-zA-Z0-9]+=)" ";\\1" attributes ${l})
    foreach(m ${attributes})
      if (m MATCHES "^name=\"(.*)\"")
        list(APPEND ${FRN_RETURN_NAMES} ${CMAKE_MATCH_1})
      endif()
      if (m MATCHES "^type=\"(.*)\"")
        list(APPEND ${FRN_RETURN_TYPES} ${CMAKE_MATCH_1})
      endif()
      if (m MATCHES "^id=\"(.*)\"")
          list(APPEND ${FRN_RETURN_IDS} ${CMAKE_MATCH_1})
      endif()
    endforeach()
  endforeach()
endmacro()

macro(to_test_and_file_name)
  set(options)
  set(oneValueArgs TYPE BASENAME REPORT_NAME)
  set(multiValueArgs RETURN_TEST_NAME RETURN_FILE_NAME)
  cmake_parse_arguments(TTAFN "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  string(REGEX REPLACE "[ .]" "-" _rn ${TTAFN_REPORT_NAME})
  string(REGEX REPLACE "[^. a-zA-Z0-9_-]" "_" _rn ${_rn})
  set(${TTAFN_RETURN_TEST_NAME} reports-${TTAFN_TYPE}-${TTAFN_BASENAME}-${_rn})
  set(${TTAFN_RETURN_FILE_NAME} ${TTAFN_BASENAME}-report-${TTAFN_TYPE}-${_rn})
endmacro()

macro(add_report_tests)
   set(options)
   set(oneValueArgs TYPE)
   set(multiValueArgs FILES FORMATS)
   cmake_parse_arguments(ART "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  foreach(file ${ART_FILES})
    cmake_path(GET file STEM basename)
    message(STATUS "${file}")
    fetch_report_names(${file} RETURN_NAMES report_names RETURN_TYPES report_types RETURN_IDS report_ids)
    set(i 0)
    list(LENGTH report_names j)
    while(i LESS j)
      list(GET report_names ${i} rn)
      list(GET report_types ${i} rt)
      list(GET report_ids ${i} id)
      math(EXPR i "${i} + 1")
      if(NOT rt MATCHES "${ART_TYPE}.*")
        continue()
      endif()
      foreach(format ${ART_FORMATS})
        to_test_and_file_name(TYPE ${ART_TYPE} BASENAME ${basename} REPORT_NAME ${rn} RETURN_TEST_NAME test_name RETURN_FILE_NAME file_name)
        message(" * adding test '${test_name}-${format}' for report '${rn}' with type '${rt}' and id '${id}'")
        add_test(
          NAME ${test_name}-${format}
          COMMAND ${CMAKE_COMMAND}
            -Dlauncher=$<TARGET_FILE:kmmreport-export>
            -Dtestfile=${CMAKE_CURRENT_SOURCE_DIR}/${file}
            -Dformat=${format}
            -Dtype=${ART_TYPE}
            -Dreport=${rn}
            -Doutfilename=${CMAKE_CURRENT_BINARY_DIR}/${file_name}.${format}
            -Dreffilename=${CMAKE_CURRENT_SOURCE_DIR}/${file_name}.${format}
            -Dworkingdir=${CMAKE_CURRENT_BINARY_DIR}
            -P ${CMAKE_CURRENT_SOURCE_DIR}/compare.cmake
        )
        set_tests_properties(${test_name}-${format}
          PROPERTIES
            SKIP_REGULAR_EXPRESSION "is missing" "SKIP" "Skipped"
            ENVIRONMENT ${KMM_ADD_TESTS_ENVIRONMENT}
          )
      endforeach()
    endwhile()
  endforeach()
endmacro()

add_report_tests(TYPE infotable FILES ${infotable_test_files} FORMATS csv)
add_report_tests(TYPE querytable FILES ${querytable_test_files} FORMATS csv)
add_report_tests(TYPE pivottable FILES ${pivottable_test_files} FORMATS csv)

=== debian/changelog ===
kmymoney (5.2.2-1) unstable; urgency=medium

  * New upstream release:
    - builds with Qt 6.10 (Closes: #1127878)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump extra-cmake-modules to 6.1
    - bump Qt packages to 6.7
    - bump KF packages to 6.1
    - bump libaqbanking-dev to 6.8.4
    - bump libgwenhywfar-core-dev to 5.14.1
    - explicitly add qt6-declarative-dev
    - add qt6-base-private-dev, needed starting from Qt 6.10
    - drop qt6-webengine-dev, no more used since 5.2.0
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: update/simplify configuration.
  * Update install files.
  * There are no more Perl scripts shipped in kmymoney-common, so:
    - stop using the ${perl:Depends} substvar
    - drop the libfinance-quote-perl recommend

 -- Pino Toscano <pino@debian.org>  Tue, 24 Feb 2026 06:19:36 +0100

kmymoney (5.2.1-4) unstable; urgency=medium

  * Team upload.
  * debian/clean: Explicitly clean generated *.qrc files to fix
    source build after successful build. (Closes: #1047489)
  * This version already builds with reportview.so. (LP: #2107691)
  * This version already builds with Qt6WebEngine. (LP: #2006405)
  * debian/rules: Explicitly enable full hardening.
  * debian/source/lintian-overrides: Fix lintian override.
  * debian/copyright: Fix lintian old-fsf-address-in-copyright-file.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Dec 2025 11:58:34 -0500

kmymoney (5.2.1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Build-depends on libkchart2-dev instead of
    libkchart-dev to re-enable the reportview plugin. (Closes: #1121429)

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Dec 2025 10:45:27 -0500

kmymoney (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Add missing build-dep to libgwengui-qt6-dev
    to re-enable aqbanking functionality. (Closes: #1121169)
  * Also close the bug on Qt5 to Qt6 transition. (Closes: #1111397)

 -- Boyuan Yang <byang@debian.org>  Sun, 23 Nov 2025 13:43:24 -0500

kmymoney (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Nov 2025 12:55:36 -0500

=== debian/control ===
Source: kmymoney
Section: kde
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.16.0~),
 dh-sequence-kf6,
 gettext,
 extra-cmake-modules (>= 6.1~),
 libcups2-dev,
 libkchart-dev (>= 3),
 libkf6archive-dev (>= 6.1~),
 libkf6coreaddons-dev (>= 6.1~),
 libkf6config-dev (>= 6.1~),
 libkf6configwidgets-dev (>= 6.1~),
 libkf6crash-dev (>= 6.1~),
 libkf6i18n-dev (>= 6.1~),
 libkf6completion-dev (>= 6.1~),
 libkf6kcmutils-dev (>= 6.1~),
 libkf6itemmodels-dev (>= 6.1~),
 libkf6itemviews-dev (>= 6.1~),
 libkf6service-dev (>= 6.1~),
 libkf6xmlgui-dev (>= 6.1~),
 libkf6textwidgets-dev (>= 6.1~),
 libkf6notifications-dev (>= 6.1~),
 libkf6kio-dev (>= 6.1~),
 libplasmaactivities-dev,
 libkf6doctools-dev (>= 6.1~),
 libkf6holidays-dev (>= 6.1~),
 libkf6contacts-dev (>= 6.1~),
 libakonadi-dev,
 libkidentitymanagement-dev,
 libqgpgmeqt6-dev,
 python3-dev,
 qtkeychain-qt6-dev,
 qt6-base-dev (>= 6.7~),
 qt6-base-private-dev (>= 6.7~),
 qt6-declarative-dev (>= 6.7~),
 qt6-svg-dev (>= 6.7~),
 libaqbanking-dev (>= 6.8.4~),
 libgwenhywfar-core-dev (>= 5.14.1~),
 libgwengui-qt6-dev,
 libgpgmepp-dev, libgpg-error-dev, libgpgme-dev,
 libalkimia6-dev (>= 5.2.1~),
 libical-dev (>= 3.0.11-2~),
 libofx-dev, libgmp-dev,
 libsqlcipher-dev,
 libsqlite3-dev,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://kmymoney.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kmymoney
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kmymoney.git

Package: kmymoney
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kmymoney-common (= ${source:Version})
Recommends: gpg-agent, pinentry-qt | pinentry-x11
Suggests: kcalc
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-common
Architecture: all
Depends: ${misc:Depends},
Recommends: kmymoney,
Description: KMyMoney architecture independent files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney' package installed, you will hardly find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# lots of deprecation warnings, so disable them for now
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-deprecated -Wno-deprecated-declarations

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DCMAKE_SKIP_RPATH=ON -DBUILD_TESTING=OFF -DENABLE_WEBENGINE=ON -DBUILD_WITH_QT6=ON

execute_after_dh_auto_install:
	# remove development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete

.PHONY: override_dh_auto_test
